GHSA-wc6f-qjxc-622v

Suggest an improvement
Source
https://github.com/advisories/GHSA-wc6f-qjxc-622v
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/01/GHSA-wc6f-qjxc-622v/GHSA-wc6f-qjxc-622v.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-wc6f-qjxc-622v
Aliases
Published
2024-01-19T21:30:36Z
Modified
2024-02-16T08:10:57.636017Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
JavaScript execution via malicious molfiles (XSS)
Details

MolecularFaces before 0.3.0 is vulnerable to cross site scripting. A remote attacker can execute arbitrary JavaScript in the context of a victim browser via crafted molfiles.

References

Affected packages

Maven / de.ipb-halle:molecularfaces

Package

Name
de.ipb-halle:molecularfaces
View open source insights on deps.dev
Purl
pkg:maven/de.ipb-halle/molecularfaces

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.3.0

Affected versions

0.*

0.2.0